처음하는개발
329
2022-01-04 23:16:15
1
278

초보)자바 스프링 개발환경 설정


자바 스프링을 써야할일이 있어서 개발환경 구축을 하는데 문제가 생겼습니다!

처음에 개발환경 구축을 하기위해서 구글링 열심히해서 JAVA11 설치하고 환경변수 설정했습니다

그이후 이클립스 2021-09버전을 설치하고 마켓에서 STS 설치하고 Spring 프로젝트를 띄워보려고 했습니다.

문제는 

An error has occurred. See error log for more details.

Could not initialize class com.thoughtworks.xstream.converters.collections.PropertiesConverter


이 에러가 무슨짓을 해도 없어지질 않습니다..

자바 지웠다가 다시 깔아보고 이클립스도 다시 깔아봤는데 같은에러가 반복됩니다.

구글링 결과로는 이클립스버전과 jdk버전이 맞지않아서라고 되어있어서 일부러 자바11버전을 다시 설치했는데도 이러네요.. 혹시 스프링 개발환경구축 해보신 선배님들 계시면 간곡하게 도움 부탁드리겠습니다..

0
  • 답변 1

  • 뚜콩
    84
    2022-01-05 09:26:59

    혹시 windwos -> preferences -> java -> compiler 부분에서도 해당 버전으로 설정하신건가요?


  • 로그인을 하시면 답변을 등록할 수 있습니다.